<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-row">
                    <div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                        <div class="layui-form-item">
                            <label class="layui-form-label">名称</label>
                            <div class="layui-input-block">
                                <input type="text" id="clientName" name="clientName" class="layui-input" value="" placeholder="请输入名称" lay-verify="required">
                            </div>
                        </div>
                    </div><div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                    <div class="layui-form-item">
                        <label class="layui-form-label">描述</label>
                        <div class="layui-input-block">
                            <input type="text" id="clientSummary" name="clientSummary" class="layui-input" value="" placeholder="请输入描述" >
                        </div>
                    </div>
                </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                        <div class="layui-form-item">
                            <label class="layui-form-label">客户端版本</label>
                            <div class="layui-input-block">
                                <input type="text" id="clientVersion" name="clientVersion" class="layui-input" value="" placeholder="请输入客户端版本" lay-verify="required">
                            </div>
                        </div>
                    </div>
                    <div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                        <div class="layui-form-item">
                            <label class="layui-form-label">数据库类型</label>
                            <div class="layui-input-block layui-form" id="databaseTypeSelectTemplateBox" lay-filter="databaseTypeSelectTemplateBox"></div>
                            <script id="databaseTypeSelectTemplate" type="text/html">
                                <select id="databaseType" name="databaseType" lay-filter="databaseType" lay-verify="required">
                                    <option value="">请选择数据库类型</option>
                                    {{# for(var i = 0, item; item = d[i++];) { }}
                                    <option value="{{item.dictionaryId}}">{{item.dictionaryName}}</option>
                                    {{# } }}
                                </select>
                            </script>
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                        <div class="layui-form-item">
                            <label class="layui-form-label">数据库版本</label>
                            <div class="layui-input-block layui-form" id="databaseVersionSelectTemplateBox" lay-filter="databaseVersionSelectTemplateBox"></div>
                            <script id="databaseVersionSelectTemplate" type="text/html">
                                <select id="databaseVersion" name="databaseVersion" lay-verify="required">
                                    <option value="">请选择数据库版本</option>
                                    {{# for(var i = 0, item; item = d[i++];) { }}
                                    <option value="{{item.dictionaryId}}">{{item.dictionaryName}}</option>
                                    {{# } }}
                                </select>
                            </script>
                        </div>
                    </div>
                    <div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                        <div class="layui-form-item">
                            <label class="layui-form-label">数据库名称</label>
                            <div class="layui-input-block">
                                <input type="text" id="databaseName" name="databaseName" class="layui-input" value="" placeholder="请输入数据库名称" lay-verify="required">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                        <div class="layui-form-item">
                            <label class="layui-form-label">所属客户</label>
                            <div class="layui-input-block layui-form" id="customerIdJoinTemplateBox" lay-filter="customerIdJoinTemplateBox"></div>
                            <script id="customerIdJoinTemplate" type="text/html">
                                <select name="customerId" lay-verify="required">
                                    <option value="">选择所属客户</option>
                                    {{# for(var i = 0, item; item = d[i++];) { }}
                                    <option value="{{item.customerId}}">{{item.customerName}}</option>
                                    {{# } }}
                                </select>
                            </script>
                        </div>
                    </div>
                    <div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                        <div class="layui-form-item">
                            <label class="layui-form-label">访问地址</label>
                            <div class="layui-input-block">
                                <input type="text" id="serverIp" name="serverIp" class="layui-input" value="" placeholder="请输入服务器IP" lay-verify="required">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-row">
                    <div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                        <div class="layui-form-item">
                            <label class="layui-form-label">项目负责人</label>
                            <div class="layui-input-block layui-form" id="projectLeaderIdJoinTemplateBox" lay-filter="projectLeaderIdJoinTemplateBox"></div>
                            <script id="projectLeaderIdJoinTemplate" type="text/html">
                                <select name="projectLeaderId" lay-verify="required">
                                    <option value="">选择项目负责人</option>
                                    {{# for(var i = 0, item; item = d[i++];) { }}
                                    <option value="{{item.projectLeaderId}}">{{item.leaderName}}</option>
                                    {{# } }}
                                </select>
                            </script>
                        </div>
                    </div>
                    <div class="layui-col-md6 layui-col-sm6 layui-col-xs12">
                        <div class="layui-form-item" pane>
                            <label class="layui-form-label">统一用户</label>
                            <div class="layui-input-block">
                                <input type="radio" name="isUsercenter" value="0" title="否" checked>
                                <input type="radio" name="isUsercenter" value="1" title="是">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交编辑</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var clientId = top.restAjax.params(window.location.href).clientId;

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        // 初始化数据库类型下拉选择
        function initDatabaseTypeSelect(selectValue) {
            top.restAjax.get(top.restAjax.path('api/datadictionary/listdictionarybyparentid/d60cf2d3-32ab-46bc-8058-a9e9066414c9', []), {}, null, function(code, data, args) {
                laytpl(document.getElementById('databaseTypeSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('databaseTypeSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'databaseTypeSelectTemplateBox');

                var selectObj = {};
                selectObj['databaseType'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化数据库版本下拉选择
        function initDatabaseVersionSelect(databaseType, selectValue) {
            if(!databaseType) {
                laytpl(document.getElementById('databaseVersionSelectTemplate').innerHTML).render([], function(html) {
                    document.getElementById('databaseVersionSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'databaseVersionSelectTemplateBox');

                var selectObj = {};
                selectObj['databaseVersion'] = selectValue;
                form.val('dataForm', selectObj);
                return;
            }
            top.restAjax.get(top.restAjax.path('api/datadictionary/listdictionarybyparentid/{databaseType}', [databaseType]), {}, null, function(code, data, args) {
                laytpl(document.getElementById('databaseVersionSelectTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('databaseVersionSelectTemplateBox').innerHTML = html;
                });
                form.render('select', 'databaseVersionSelectTemplateBox');

                var selectObj = {};
                selectObj['databaseVersion'] = selectValue;
                form.val('dataForm', selectObj);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化客户ID联表
        function initCustomerIdJoinTable(joinValue){
            top.restAjax.get(top.restAjax.path('api/customer/listcustomer', []), {}, null, function(code, data) {
                laytpl(document.getElementById('customerIdJoinTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('customerIdJoinTemplateBox').innerHTML = html;
                });
                form.render('select', 'customerIdJoinTemplateBox');

                // 初始化选择
                var formSelectData = {};
                formSelectData['customerId'] = joinValue;
                form.val('dataForm', formSelectData);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }


        // 初始化项目负责人联表
        function initProjectLeaderIdJoinTable(joinValue){
            top.restAjax.get(top.restAjax.path('api/projectleader/listprojectleader', []), {}, null, function(code, data) {
                laytpl(document.getElementById('projectLeaderIdJoinTemplate').innerHTML).render(data, function(html) {
                    document.getElementById('projectLeaderIdJoinTemplateBox').innerHTML = html;
                });
                form.render('select', 'projectLeaderIdJoinTemplateBox');

                // 初始化选择
                var formSelectData = {};
                formSelectData['projectLeaderId'] = joinValue;
                form.val('dataForm', formSelectData);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }


        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/client/getclientbyid/{clientId}', [clientId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
                initDatabaseTypeSelect(data['databaseType']);
                initDatabaseVersionSelect(data['databaseType'], data['databaseVersion']);
                initCustomerIdJoinTable(data['customerId']);
                initProjectLeaderIdJoinTable(data['projectLeaderId']);
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/client/updateclient/{clientId}', [clientId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        // databaseType 选择事件
        form.on('select(databaseType)', function(data) {
            initDatabaseVersionSelect(data.value);
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>